Lua_PanGuTipsWindow = class("Lua_PanGuTipsWindow", Lua_Window);
function Lua_PanGuTipsWindow:ctor()
    self:superCall("ctor");
    self.windowName = "Lua_PanGuTipsWindow";
    self.skinName = "RuleTipWindow_skin";
end
function Lua_PanGuTipsWindow:buildShowItem()
    self:superCall("buildShowItem");
    --self.showData = Lua_WindowUtil.getWinData("Lua_PanGuTipsWindow", true);
    --self.dragContainer = Lua_DragContainer.new(self.content, 1, Vector4(268, 33, 482, 206));
    --self.dragContainer:setLocation(-268, -3, 0);
    --self.draggableInfoPanel = Lua_PanguInfoPanel.new(self.dragContainer);
    --self.draggableInfoPanel:setText(self.showData);
    self.subBtn:addClickFuntion(self, self.onBtnCloseClick);
end
function Lua_PanGuTipsWindow:showWin(param)
    self.data = param;

    self.dragContainer = Lua_DragContainer.new(self.content, 1, Vector4(268, 33, 482, 206));
    self.dragContainer:setLocation(-268, -3, 0);
    self.draggabInfoPanel = Lua_PanguInfoPanel.new(self.dragContainer);
    self.draggabInfoPanel:setText(param.des);

    if param.titleText ~= nil then
        self.titleNameTxt.text=param.titleText;
    end
end
function Lua_PanGuTipsWindow:hide()
    self:superCall("hide");

end

Lua_PanguInfoPanel = class("Lua_PanguInfoPanel", Lua_DragContainerItem);
function Lua_PanguInfoPanel:ctor(dragContainer)
    self:superCall("ctor", dragContainer.sub);
    dragContainer:addSubContainer(self, true);
    self.dragContainer = dragContainer;
end

function Lua_PanguInfoPanel:buildShowItem()
    self:superCall("buildShowItem");
    if self.label == nil then
        self.label = UICreate.createLabel(self.content, "", 30, 135, 480, 0, 24);
        self.label.pivot = UIWidget.Pivot.TopLeft;
        self.label.overflowMethod = UILabel.Overflow.ResizeHeight;
    end
end
function Lua_PanguInfoPanel:setText(data)
    self.label.text = "[192e41]" .. data .. "[-]";
    self.dragContainer:updateChildPos();
    self.dragContainer.canDrag = false;
    if self:getHeight() > 192 then
        self.dragContainer.canDrag = true;
    end
end

function Lua_PanguInfoPanel:getHeight()
    return self.label.height;
end